---
- name: "Do some stuff in elastic with spaces ... "
  include_role:
    name: kibana
    tasks_from: _configure_spaces.yml
  loop: "{{ technical_user.elastic_spaces }}"
  loop_control:
    loop_var: elastic_space

- name: "Do some stuff in elastic with roles ..."
  include_role:
    name: kibana
    tasks_from: _configure_roles.yml
  loop: "{{ technical_user.elastic_roles }}"
  loop_control:
    loop_var: elastic_role

- name: "Do some stuff in elastic with users ..."
  include_role:
    name: kibana
    tasks_from: _configure_users.yml
  loop: "{{ technical_user.elastic_users }}"
  loop_control:
    loop_var: elastic_user

- name: "Do some stuff in elastic with index pattern ..."
  vars:
    es_space: "default"
  include_role:
    name: kibana
    tasks_from: _configure_indexpattern.yml
  loop: "{{ technical_user.elastic_index_patterns }}"
  loop_control:
    loop_var: elastic_index_pattern
